org.apache.ignite.transactions

## Interface TransactionMetrics

- All Known Subinterfaces:
    TransactionMetricsMxBean

      public interface TransactionMetrics

  Transaction metrics, shared across all caches.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `commitTime()` Gets last time transaction was committed.
    `Map<String,String>` | `getAllOwnerTransactions()` Gets a map of all transactions for which the local node is the originating node.
    `long` | `getLockedKeysNumber()` The number of keys locked on the node.
    `Map<String,String>` | `getLongRunningOwnerTransactions(int duration)` Gets a map of all transactions for which the local node is the originating node and which duration exceeds the given duration.
    `long` | `getOwnerTransactionsNumber()` The number of active transactions for which this node is the initiator.
    `long` | `getTransactionsCommittedNumber()` The number of transactions which were committed on the local node.
    `long` | `getTransactionsHoldingLockNumber()` The number of active transactions on the local node holding at least one key lock.
    `long` | `getTransactionsRolledBackNumber()` The number of transactions which were rolled back on the local node.
    `long` | `rollbackTime()` Gets last time transaction was rollback.
    `int` | `txCommits()` Gets total number of transaction commits.
    `int` | `txRollbacks()` Gets total number of transaction rollbacks.

- - ### Method Detail

    - #### commitTime

          long commitTime()

      Gets last time transaction was committed.
      Returns:
        Last commit time.

    - #### rollbackTime

          long rollbackTime()

      Gets last time transaction was rollback.
      Returns:
        Last rollback time.

    - #### txCommits

          int txCommits()

      Gets total number of transaction commits.
      Returns:
        Number of transaction commits.

    - #### txRollbacks

          int txRollbacks()

      Gets total number of transaction rollbacks.
      Returns:
        Number of transaction rollbacks.

    - #### getAllOwnerTransactions

          Map<String,String> getAllOwnerTransactions()

      Gets a map of all transactions for which the local node is the originating node.
      Returns:
        Map of local node owning transactions.

    - #### getLongRunningOwnerTransactions

          Map<String,String> getLongRunningOwnerTransactions(int duration)

      Gets a map of all transactions for which the local node is the originating node and which duration exceeds the given duration.
      Parameters:
        `duration` - Transaction duration.
      Returns:
        Map of local node owning transactions which duration is longer than `duration`.

    - #### getTransactionsCommittedNumber

          long getTransactionsCommittedNumber()

      The number of transactions which were committed on the local node.
      Returns:
        The number of transactions which were committed on the local node.

    - #### getTransactionsRolledBackNumber

          long getTransactionsRolledBackNumber()

      The number of transactions which were rolled back on the local node.
      Returns:
        The number of transactions which were rolled back on the local node.

    - #### getTransactionsHoldingLockNumber

          long getTransactionsHoldingLockNumber()

      The number of active transactions on the local node holding at least one key lock.
      Returns:
        The number of active transactions holding at least one key lock.

    - #### getLockedKeysNumber

          long getLockedKeysNumber()

      The number of keys locked on the node.
      Returns:
        The number of keys locked on the node.

    - #### getOwnerTransactionsNumber

          long getOwnerTransactionsNumber()

      The number of active transactions for which this node is the initiator. Effectively, this method is semantically equivalent to `getAllOwnerTransactions.size()`.
      Returns:
        The number of active transactions for which this node is the initiator.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023